Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore
Class LocalizeFrameStoreHandler

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
          edu.stanford.smi.protege.server.framestore.LocalizeFrameStoreHandler

All Implemented Interfaces:
  InvocationHandler

    public class LocalizeFrameStoreHandler

extends AbstractFrameStoreInvocationHandler

Author:
  Ray Fergerson

Constructor Summary
`LocalizeFrameStoreHandler(KnowledgeBase kb)`

Method Summary
`protected void` | `executeQuery(Query q, QueryCallback qc)`
`protected Object` | `handleInvoke(Method method, Object[] args)`
`FrameStore` | `newFrameStore()`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
`getDelegate, getInstance, handleClose, handleReinitialize, invoke, invoke, invoke, isModification, isQuery, newInstance, newInstance, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalizeFrameStoreHandler

    public LocalizeFrameStoreHandler(KnowledgeBase kb)

Method Detail

### handleInvoke

    protected Object handleInvoke(Method method,
                                  Object[] args)

  Specified by:
    `handleInvoke` in class `AbstractFrameStoreInvocationHandler`

### executeQuery

    protected void executeQuery(Query q,
                                QueryCallback qc)

  Specified by:
    `executeQuery` in class `AbstractFrameStoreInvocationHandler`

### newFrameStore

    public FrameStore newFrameStore()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.